Bug 123821 - Anaconda crashing during installation
Summary: Anaconda crashing during installation
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda   
(Show other bugs)
Version: 2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-20 18:48 UTC by Sibayan Das
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 18:20:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Sibayan Das 2004-05-20 18:48:47 UTC
Description of problem: 

While trying for a text mode installation of FC2 on a fresh system,
installation is getting terminated without any warning. anaconda is
crashing, but not all the time. I'm still unable to decide why it is
crashing.  


Version-Release number of selected component (if applicable): 

anaconda, Fedora Core 2 

  
Actual results:

Traceback (most recent call last):
  File "/usr/bin/anaconda", line 1131, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/text.py", line 475, in run
    dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 169, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 237, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 542, in turnOnFilesystems
    thefsset.mountFilesystems (instPath)
  File "/usr/lib/anaconda/fsset.py", line 1471, in mountFilesystems
    self.makeLVMNodes(instPath)
  File "/usr/lib/anaconda/fsset.py", line 1500, in makeLVMNodes
    iutil.copyDeviceNode(dmdev, instPath + dmdev)
  File "/usr/lib/anaconda/iutil.py", line 413, in copyDeviceNode
    isys.mknod(dest, mode | type, filestat.st_rdev)
  File "/usr/lib/anaconda/isys.py", line 371, in mknod
    return _isys.mknod(pathname, mode, dev)
SystemError: (17, 'File exists')

Local variables in innermost frame:
pathname: /mnt/sysimage/dev/mapper/Volume00-LinuxRoot
mode: 24960
dev: 64768


Regards
Sibayan

Comment 1 Jeremy Katz 2004-06-08 18:54:31 UTC
Can you attach the complete traceback?  Did you end up going forward
and back?

Comment 2 Jeremy Katz 2004-10-07 18:20:40 UTC
Closing due to inactivity.  Please reopen if you have further details
on this problem.


Note You need to log in before you can comment on or make changes to this bug.